function strcity(city,fsname,fcname) {
	if (fsname==null){fsname="StrSheng";}
	if (fcname==null){fcname="StrCity";}
	
    switch (document.form1[fsname].value) {

        case "天津" :
            var cityOptions = new Array(

            "天津", "天津","");
            break;

        case "重庆" :
            var cityOptions = new Array(

            "重庆", "重庆","");
            break;

        case "安徽" :
            var cityOptions = new Array(

            "蚌埠", "蚌埠",
            "亳州", "亳州",
            "巢湖", "巢湖",
            "滁州", "滁州",
            "阜阳", "阜阳",
            "淮北", "淮北",
            "淮南", "淮南",
            "黄山", "黄山",
            "界首", "界首",
            "六安", "六安",
            "马鞍山", "马鞍山",
            "宁国", "宁国",
            "宿州", "宿州",
            "天长", "天长",
            "铜陵", "铜陵",
            "宣城", "宣城",
            "安庆", "安庆","");
            break;

        case "福建" :
            var cityOptions = new Array(

            "福安", "福安",
            "福鼎", "福鼎",
            "福清", "福清",
            "福州", "福州",
            "建瓯", "建瓯",
            "建阳", "建阳",
            "晋江", "晋江",
            "龙岩", "龙岩",
            "南安", "南安",
            "南平", "南平",
            "宁德", "宁德",
            "莆田", "莆田",
            "泉州", "泉州",
            "三明", "三明",
            "邵武", "邵武",
            "石狮", "石狮",
            "武夷山", "武夷山",
            "厦门", "厦门",
            "永安", "永安",
            "漳平", "漳平",
            "漳州", "漳州","");
            break;

        case "甘肃" :
            var cityOptions = new Array(

            "定西", "定西",
            "敦煌", "敦煌",
            "嘉峪关", "嘉峪关",
            "金昌", "金昌",
            "酒泉", "酒泉",
            "兰州", "兰州",
            "临夏", "临夏",
            "平凉", "平凉",
            "庆阳", "庆阳",
            "天水", "天水",
            "武威", "武威",
            "玉门", "玉门",
            "张掖", "张掖","");
            break;

        case "广东" :
            var cityOptions = new Array(

            "潮阳", "潮阳",
            "潮州", "潮州",
            "澄海", "澄海",
            "从化", "从化",
            "东莞", "东莞",
            "恩平", "恩平",
            "番禺", "番禺",
            "佛山", "佛山",
            "高明", "高明",
            "广州", "广州",
            "河源", "河源",
            "鹤山", "鹤山",
            "惠阳", "惠阳",
            "惠州", "惠州",
            "江门", "江门",
            "揭阳", "揭阳",
            "开平", "开平",
            "乐昌", "乐昌",
            "茂名", "茂名",
            "梅州", "梅州",
            "南海", "南海",
            "南雄", "南雄",
            "清远", "清远",
            "三水", "三水",
            "汕头", "汕头",
            "汕尾", "汕尾",
            "韶关", "韶关",
            "深圳", "深圳",
            "顺德", "顺德",
            "四会", "四会",
            "台山", "台山",
            "新会", "新会",
            "阳江", "阳江",
            "云浮", "云浮",
            "湛江", "湛江",
            "肇庆", "肇庆",
            "中山", "中山",
            "珠海", "珠海","");
            break;

        case "广西" :
            var cityOptions = new Array(

            "百色", "百色",
            "北海", "北海",
            "北流", "北流",
            "贵港", "贵港",
            "桂林", "桂林",
            "桂平", "桂平",
            "河池", "河池",
            "贺州", "贺州",
            "柳州", "柳州",
            "南宁", "南宁",
            "凭祥", "凭祥",
            "钦州", "钦州",
            "梧州", "梧州",
            "阳朔", "阳朔",
            "玉林", "玉林","");
            break;

        case "贵州" :
            var cityOptions = new Array(

            "安顺", "安顺",
            "合肥", "合肥",
            "毕节", "毕节",
            "都匀", "都匀",
            "贵阳", "贵阳",
            "凯里", "凯里",
            "六盘水", "六盘水",
            "仁怀", "仁怀",
            "铜仁", "铜仁",
            "兴义", "兴义",
            "遵义", "遵义","");
            break;

        case "海南" :
            var cityOptions = new Array(

            "海口", "海口","");
            break;

        case "河北" :
            var cityOptions = new Array(

            "保定", "保定",
            "北戴河", "北戴河",
            "沧州", "沧州",
            "承德", "承德",
            "藁城", "藁城",
            "邯郸", "邯郸",
            "衡水", "衡水",
            "黄骅", "黄骅",
            "廊坊", "廊坊",
            "秦皇岛", "秦皇岛",
            "任丘", "任丘",
            "石家庄", "石家庄",
            "唐山", "唐山",
            "邢台", "邢台",
            "张家口", "张家口",
            "涿州", "涿州",
            "遵化", "遵化","");
            break;

        case "黑龙江" :
            var cityOptions = new Array(

            "阿城", "阿城",
            "北安", "北安",
            "大庆", "大庆",
            "大兴安岭", "大兴安岭",
            "哈尔滨", "哈尔滨",
            "海林", "海林",
            "鹤岗", "鹤岗",
            "黑河", "黑河",
            "虎林", "虎林",
            "鸡西", "鸡西",
            "佳木斯", "佳木斯",
            "密山", "密山",
            "牡丹江", "牡丹江",
            "宁安", "宁安",
            "七台河", "七台河",
            "齐齐哈尔", "齐齐哈尔",
            "尚志", "尚志",
            "双鸭山", "双鸭山",
            "绥芬河", "绥芬河",
            "绥化", "绥化",
            "铁力", "铁力",
            "伊春", "伊春","");
            break;

        case "河南" :
            var cityOptions = new Array(

            "安阳", "安阳",
            "长葛", "长葛",
            "登封", "登封",
            "邓州", "邓州",
            "巩义", "巩义",
            "鹤壁", "鹤壁",
            "济源", "济源",
            "焦作", "焦作",
            "开封", "开封",
            "灵宝", "灵宝",
            "洛阳", "洛阳",
            "漯河", "漯河",
            "南阳", "南阳",
            "平顶山", "平顶山",
            "濮阳", "濮阳",
            "沁阳", "沁阳",
            "汝州", "汝州",
            "三门峡", "三门峡",
            "商丘", "商丘",
            "项城", "项城",
            "新乡", "新乡",
            "信阳", "信阳",
            "许昌", "许昌",
            "偃师", "偃师",
            "荥阳", "荥阳",
            "禹州", "禹州",
            "郑州", "郑州",
            "周口", "周口",
            "驻马店", "驻马店","");
            break;

        case "香港" :
            var cityOptions = new Array(

            "香港", "香港","");
            break;

        case "湖北" :
            var cityOptions = new Array(

            "安陆", "安陆",
            "大冶", "大冶",
            "丹江口", "丹江口",
            "当阳", "当阳",
            "鄂州", "鄂州",
            "恩施", "恩施",
            "广水", "广水",
            "汉川", "汉川",
            "洪湖", "洪湖",
            "黄冈", "黄冈",
            "黄石", "黄石",
            "荆门", "荆门",
            "荆州", "荆州",
            "老河口", "老河口",
            "麻城", "麻城",
            "潜江", "潜江",
            "十堰", "十堰",
            "石首", "石首",
            "松滋", "松滋",
            "随州", "随州",
            "天门", "天门",
            "武汉", "武汉",
            "武穴", "武穴",
            "仙桃", "仙桃",
            "咸宁", "咸宁",
            "襄樊", "襄樊",
            "孝感", "孝感",
            "宜昌", "宜昌",
            "枣阳", "枣阳",
            "钟祥", "钟祥","");
            break;

        case "湖南" :
            var cityOptions = new Array(

            "长沙", "长沙",
            "常德", "常德",
            "常宁", "常宁",
            "郴州", "郴州",
            "衡阳", "衡阳",
            "怀化", "怀化",
            "吉首", "吉首",
            "冷水江", "冷水江",
            "涟源", "涟源",
            "娄底", "娄底",
            "韶山", "韶山",
            "邵阳", "邵阳",
            "湘潭", "湘潭",
            "益阳", "益阳",
            "永州", "永州",
            "岳阳", "岳阳",
            "张家界", "张家界",
            "株洲", "株洲",
            "资兴", "资兴","");
            break;

        case "江苏" :
            var cityOptions = new Array(

            "常熟", "常熟",
            "常州", "常州",
            "大丰", "大丰",
            "丹阳", "丹阳",
            "东台", "东台",
            "高邮", "高邮",
            "海门", "海门",
            "淮安", "淮安",
            "江都", "江都",
            "江阴", "江阴",
            "金坛", "金坛",
            "靖江", "靖江",
            "句容", "句容",
            "昆山", "昆山",
            "溧阳", "溧阳",
            "连云港", "连云港",
            "南京", "南京",
            "南通", "南通",
            "启东", "启东",
            "如皋", "如皋",
            "苏州", "苏州",
            "宿迁", "宿迁",
            "太仓", "太仓",
            "泰兴", "泰兴",
            "泰州", "泰州",
            "同里", "同里",
            "吴江", "吴江",
            "武进", "武进",
            "新沂", "新沂",

            "徐州", "徐州",
            "盐城", "盐城",
            "扬中", "扬中",
            "扬州", "扬州",
            "仪征", "仪征",
            "宜兴", "宜兴",
            "张家港", "张家港",
            "镇江", "镇江",
            "周庄", "周庄","");
            break;

        case "江西" :
            var cityOptions = new Array(

            "丰城", "丰城",
            "抚州", "抚州",
            "赣州", "赣州",
            "贵溪", "贵溪",
            "吉安", "吉安",
            "井冈山", "井冈山",
            "景德镇", "景德镇",
            "九江", "九江",
            "庐山", "庐山",
            "南昌", "南昌",
            "萍乡", "萍乡",
            "上饶", "上饶",
            "新余", "新余",
            "宜春", "宜春",
            "鹰潭", "鹰潭","");
            break;

        case "吉林" :
            var cityOptions = new Array(

            "白城", "白城",
            "白山", "白山",
            "长春", "长春",
            "大安", "大安",
            "敦化", "敦化",
            "吉林", "吉林",
            "集安", "集安",
            "蛟河", "蛟河",
            "辽源", "辽源",
            "临江", "临江",
            "龙井", "龙井",
            "梅河口", "梅河口",
            "舒兰", "舒兰",
            "四平", "四平",
            "松原", "松原",
            "通化", "通化",
            "延吉", "延吉","");
            break;

        case "辽宁" :
            var cityOptions = new Array(

            "鞍山", "鞍山",
            "本溪", "本溪",
            "朝阳", "朝阳",
            "大连", "大连",
            "丹东", "丹东",
            "抚顺", "抚顺",
            "阜新", "阜新",
            "葫芦岛", "葫芦岛",
            "锦州", "锦州",
            "开原", "开原",
            "辽阳", "辽阳",
            "盘锦", "盘锦",
            "沈阳", "沈阳",
            "铁岭", "铁岭",
            "兴城", "兴城",
            "营口", "营口","");
            break;

        case "澳门" :
            var cityOptions = new Array(

            "澳门", "澳门","");
            break;

        case "内蒙古" :
            var cityOptions = new Array(

            "包头", "包头",
            "赤峰", "赤峰",
            "二连浩特", "二连浩特",
            "呼和浩特", "呼和浩特",
            "集宁", "集宁",
            "通辽", "通辽",
            "乌海", "乌海",
            "乌兰浩特", "乌兰浩特",
            "锡林浩特", "锡林浩特",
            "扎兰屯", "扎兰屯","");
            break;

        case "宁夏" :
            var cityOptions = new Array(

            "银川", "银川","");
            break;

        case "青海" :
            var cityOptions = new Array(

            "德令哈", "德令哈",
            "格尔木", "格尔木",
            "海东", "海东",
            "西宁", "西宁","");
            break;

        case "山东" :
            var cityOptions = new Array(

            "滨州", "滨州",
            "德州", "德州",
            "东营", "东营",
            "菏泽", "菏泽",
            "即墨", "即墨",
            "济南", "济南",
            "济宁", "济宁",
            "胶南", "胶南",
            "胶州", "胶州",
            "莱芜", "莱芜",
            "莱阳", "莱阳",
            "莱州", "莱州",
            "聊城", "聊城",
            "临沂", "临沂",
            "龙口", "龙口",
            "蓬莱", "蓬莱",
            "平度", "平度",
            "青岛", "青岛",
            "青州", "青州",
            "曲阜", "曲阜",
            "日照", "日照",
            "乳山", "乳山",
            "泰安", "泰安",
            "威海", "威海",
            "潍坊", "潍坊",
            "文登", "文登",
            "烟台", "烟台",
            "兖州", "兖州",
            "枣庄", "枣庄",
            "淄博", "淄博","");
            break;

        case "山西" :
            var cityOptions = new Array(

            "长治", "长治",
            "大同", "大同",
            "侯马", "侯马",
            "晋城", "晋城",
            "离石", "离石",
            "临汾", "临汾",
            "朔州", "朔州",
            "太原", "太原",
            "忻州", "忻州",
            "阳泉", "阳泉",
            "运城", "运城","");
            break;

        case "陕西" :
            var cityOptions = new Array(

            "安康", "安康",
            "宝鸡", "宝鸡",
            "韩城", "韩城",
            "汉中", "汉中",
            "华阴", "华阴",
            "铜川", "铜川",
            "渭南", "渭南",
            "西安", "西安",
            "咸阳", "咸阳",
            "延安", "延安",
            "榆林", "榆林","");
            break;

        case "四川" :
            var cityOptions = new Array(

            "巴中", "巴中",
            "成都", "成都",
            "德阳", "德阳",
            "都江堰", "都江堰",
            "峨眉山", "峨眉山",
            "广安", "广安",
            "广汉", "广汉",
            "广元", "广元",
            "江油", "江油",
            "九寨沟", "九寨沟",
            "阆中", "阆中",
            "乐山", "乐山",
            "泸州", "泸州",
            "眉山", "眉山",
            "绵阳", "绵阳",
            "绵竹", "绵竹",
            "内江", "内江",
            "南充", "南充",
            "攀枝花", "攀枝花",
            "邛崃", "邛崃",
            "遂宁", "遂宁",
            "西昌", "西昌",
            "雅安", "雅安",
            "宜宾", "宜宾",
            "资阳", "资阳",
            "自贡", "自贡","");
            break;

        case "台湾" :
            var cityOptions = new Array(
"");
            break;

        case "新疆" :
            var cityOptions = new Array(

            "哈密", "哈密",
            "喀什", "喀什",
            "克拉玛依", "克拉玛依",
            "石河子", "石河子",
            "吐鲁番", "吐鲁番",
            "乌鲁木齐", "乌鲁木齐",
            "伊宁", "伊宁","");
            break;

        case "西藏" :
            var cityOptions = new Array(

            "昌都", "昌都",
            "拉萨", "拉萨",
            "林芝", "林芝",
            "那曲", "那曲",
            "日喀则", "日喀则",
            "山南", "山南","");
            break;

        case "云南" :
            var cityOptions = new Array(

            "保山", "保山",
            "楚雄", "楚雄",
            "大理", "大理",
            "个旧", "个旧",
            "景洪", "景洪",
            "开远", "开远",
            "昆明", "昆明",
            "丽江", "丽江",
            "临沧", "临沧",
            "潞西", "潞西",
            "曲靖", "曲靖",
            "瑞丽", "瑞丽",
            "思茅", "思茅",
            "西双版纳", "西双版纳",
            "玉溪", "玉溪",
            "昭通", "昭通","");
            break;

        case "浙江" :
            var cityOptions = new Array(

            "杭州", "杭州",
            "湖州", "湖州",
            "富阳", "富阳",
            "海宁", "海宁",
            "安吉", "安吉",
            "慈溪", "慈溪",
            "东阳", "东阳",
            "奉化", "奉化",
            "黄岩", "黄岩",
            "嘉兴", "嘉兴",
            "建德", "建德",
            "江山", "江山",
            "金华", "金华",
            "兰溪", "兰溪",
            "乐清", "乐清",
            "丽水", "丽水",
            "临安", "临安",
            "临海", "临海",
            "龙泉", "龙泉",
            "宁波", "宁波",
            "平湖", "平湖",
            "千岛湖", "千岛湖",
            "衢州", "衢州",
            "瑞安", "瑞安",
            "上虞", "上虞",
            "嵊州", "嵊州",
            "台州", "台州",
            "桐乡", "桐乡",
            "温岭", "温岭",
            "温州", "温州",
            "义乌", "义乌",
            "永康", "永康",
            "余姚", "余姚",
            "舟山", "舟山",
            "诸暨", "诸暨","");
            break;

        case "上海" :
            var cityOptions = new Array(

            "上海", "上海","");
            break;

        case "北京" :
            var cityOptions = new Array(

            "北京", "北京","");
            break;

        default:
            var cityOptions = new Array("", "");
            break;
    }
	
	document.form1[fcname].options.length = 0;
	for(var i = 0; i < cityOptions.length/2-1; i++) {
	    document.form1[fcname].options[i]=new Option(cityOptions[i*2],cityOptions[i*2+1]);

	    if (document.form1[fcname].options[i].value==city) 
	    {
	    	//alert("here put City ok!");
	    	document.form1[fcname].selectedIndex = i;
	    }
	}
}


function strgjcity(city,fsname,fcname) {
	if (fsname==null){fsname="StrSheng";}
	if (fcname==null){fcname="StrCity";}
	
    switch (document.form1[fsname].value) {

        case "天津" :
            var cityOptions = new Array(

            "天津", "天津","");
            break;

        case "重庆" :
            var cityOptions = new Array(

            "重庆", "重庆","");
            break;

        case "贵州" :
            var cityOptions = new Array(

            "安顺", "安顺",
            "合肥", "合肥",
            "毕节", "毕节",
            "都匀", "都匀",
            "贵阳", "贵阳",
            "凯里", "凯里",
            "六盘水", "六盘水",
            "仁怀", "仁怀",
            "铜仁", "铜仁",
            "兴义", "兴义",
            "遵义", "遵义","");
            break;

        case "海南" :
            var cityOptions = new Array(

            "海口", "海口","");
            break;

        case "上海" :
            var cityOptions = new Array(

            "上海", "上海","");
            break;

        case "北京" :
            var cityOptions = new Array(

            "北京", "北京","");
            break;

        default:
            var cityOptions = new Array("", "");
            break;
    }
	
	document.form1[fcname].options.length = 0;
	for(var i = 0; i < cityOptions.length/2-1; i++) {
	    document.form1[fcname].options[i]=new Option(cityOptions[i*2],cityOptions[i*2+1]);

	    if (document.form1[fcname].options[i].value==city) 
	    {
	    	//alert("here put City ok!");
	    	document.form1[fcname].selectedIndex = i;
	    }
	}
}

function initprovcity(province,city,fsname,fcname) {
	if (fsname==null){fsname="StrSheng";}
	if (fcname==null){fcname="StrCity";}
	var provObject = document.form1[fsname];
    for(var i = 0; i < document.form1[fsname].options.length; i++) {
        if (document.form1[fsname].options[i].value==province)
        {
        	//alert("prov put is ok");
        	document.form1[fsname].selectedIndex = i;
        }
    }
    strcity(city,fsname,fcname);
}